package com.steering.Mcms.entity;

/**
 * 数据库表CMM_RECORD_TEMPLATE所对应的实体类（生成工具：代码生成器3.0）
 * @author 朱少波   date 2020-11-12
 */
@SuppressWarnings("serial")
public class CmmRecordTemplateEntity implements java.io.Serializable {
    /**
     * 模板流水号 YYYYMMDD + 3位流水
     */
    private String templateNo = "";
    /**
     * 模板名
     */
    private String templateName = "";
    /**
     * 模板适用磅房编码
     */
    private String templateLocation = "";
    /**
     * 模板关键字
     */
    private String templateKey = "";
    /**
     * 模板转化的xml文件
     */
    private String templateXml = "";
    /**
     * 作废时间
     */
    private String deleteDate = "";
    /**
     * 作废人
     */
    private String deleteUser = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createUser = "";
    /**
     * 创建时间
     */
    private String createDate = "";

    /**
     * 模板流水号 YYYYMMDD + 3位流水
     * @return value
     */
    public String getTemplateNo() {
        return templateNo;
    }

    /**
     * 模板流水号 YYYYMMDD + 3位流水
     * @param templateNo value
     */
    public void setTemplateNo(String templateNo) {
        this.templateNo = templateNo;
    }

    /**
     * 模板名
     * @return value
     */
    public String getTemplateName() {
        return templateName;
    }

    /**
     * 模板名
     * @param templateName value
     */
    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    /**
     * 模板适用磅房编码
     * @return value
     */
    public String getTemplateLocation() {
        return templateLocation;
    }

    /**
     * 模板适用磅房编码
     * @param templateLocation value
     */
    public void setTemplateLocation(String templateLocation) {
        this.templateLocation = templateLocation;
    }

    /**
     * 模板关键字
     * @return value
     */
    public String getTemplateKey() {
        return templateKey;
    }

    /**
     * 模板关键字
     * @param templateKey value
     */
    public void setTemplateKey(String templateKey) {
        this.templateKey = templateKey;
    }

    /**
     * 模板转化的xml文件
     * @return value
     */
    public String getTemplateXml() {
        return templateXml;
    }

    /**
     * 模板转化的xml文件
     * @param templateXml value
     */
    public void setTemplateXml(String templateXml) {
        this.templateXml = templateXml;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteDate() {
        return deleteDate;
    }

    /**
     * 作废时间
     * @param deleteDate value
     */
    public void setDeleteDate(String deleteDate) {
        this.deleteDate = deleteDate;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteUser() {
        return deleteUser;
    }

    /**
     * 作废人
     * @param deleteUser value
     */
    public void setDeleteUser(String deleteUser) {
        this.deleteUser = deleteUser;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateUser() {
        return createUser;
    }

    /**
     * 创建人
     * @param createUser value
     */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateDate() {
        return createDate;
    }

    /**
     * 创建时间
     * @param createDate value
     */
    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
}